Bug 173342 - CVE-2005-3662 netpbm off by one error
CVE-2005-3662 netpbm off by one error
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: netpbm (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Ben Levenson
impact=moderate,public=20051112,repor...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-16 09:19 EST by Josh Bressers
Modified: 2013-07-02 19:11 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2005-843
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-20 09:39:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-11-16 09:19:29 EST
Netpbm off my one error

The latest release of pnmtopng fixed an off by one error in the
alphas_of_color[] array.

--- pnmtopng-2.38/pnmtopng.c    2002-06-16 17:38:48.000000000 -0700
+++ pnmtopng-2.39/pnmtopng.c    2005-11-12 19:40:45.000000000 -0800
@@ -389,8 +419,8 @@
int alpha_rows;
int alpha_cols;
int alpha_trans;
-  gray *alphas_of_color[MAXCOLORS];
-  int alphas_of_color_cnt[MAXCOLORS];
+  gray *alphas_of_color[MAXCOLORS+1];
+  int alphas_of_color_cnt[MAXCOLORS+1];
int alphas_first_index[MAXCOLORS+1];
int mapping[MAXCOLORS];      /* mapping[old_index] = new_index */
int colors;


This issue also affects RHEL2.1
Comment 1 Jindrich Novy 2005-11-17 12:45:51 EST
The fix is now applied in both 3 and 2.1.
The patch isn't cleanly applicable though.
Comment 5 Red Hat Bugzilla 2005-12-20 09:39:03 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-843.html

Note You need to log in before you can comment on or make changes to this bug.